public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2022-11-14  4:39 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2022-11-14  4:39 UTC (permalink / raw
  To: gentoo-commits

commit:     e270dde71af29c242cc5062ee0dbbc5922e0bdf4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 04:36:46 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 04:36:46 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e270dde7

dev-python/indexed_gzip: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                   |  1 -
 dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild | 58 ----------------------
 2 files changed, 59 deletions(-)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index e11a31c0eba2..865b6bdb499f 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1,2 +1 @@
-DIST indexed_gzip-1.6.13.tar.gz 102730 BLAKE2B 8ab5490c3c830121ce3104c624fe36cb0064f6265b5e5f9ebd6efb0402c33e206b4d97c35803fa10fdbc25a7ccac61f19b2fd9bfb205e07acee40737d6404659 SHA512 de8a606f712a0bddf618cedac12d2b5613e14aaaacc93d1930352101bdeaca8bd5126dd67df36d691f31bc27d553a61901934bbb0b2514e4360c6cd49e395c41
 DIST indexed_gzip-1.7.0.tar.gz 103849 BLAKE2B b33ef1f19e47c2dc12fd6e6fcc972badf4faaecaa5571aa44c765a6fafbec8e32fe2c4254d4e62722b6e744cfa27470ce517d08025b0492e8c032663b094344e SHA512 80f82699c6b64248f0609fb34e54e3838e642040820381cc64feb70b46721b69207686f9cccd55ebfb10dfcdee5fb5c1bf6404d1cfec07eb5a97767635c5dc4e

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
deleted file mode 100644
index 245f33e3925e..000000000000
--- a/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="
-	https://pypi.org/project/indexed-gzip/
-	https://github.com/pauldmccarthy/indexed_gzip/
-"
-SRC_URI="
-	https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz
-		-> ${P}.tar.gz
-"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	sys-libs/zlib:=
-"
-DEPEND="
-	${RDEPEND}
-"
-BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/numpy[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	# strip custom "clean" command that doesn't support "-a"
-	# https://bugs.gentoo.org/838955
-	# TODO: this can be removed once distutils-r1 stops using clean
-	sed -i -e '/cmdclass/d' setup.py || die
-	distutils-r1_src_prepare
-}
-
-src_compile() {
-	if use test; then
-		export INDEXED_GZIP_TESTING=1
-	fi
-	distutils-r1_src_compile
-}
-
-python_test() {
-	cd "${BUILD_DIR}/install$(python_get_sitedir)/indexed_gzip/tests" || die
-	epytest
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2023-05-04 16:17 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2023-05-04 16:17 UTC (permalink / raw
  To: gentoo-commits

commit:     79657d669ddf5fb9cd67bf2f1ca30f5e563cc093
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May  4 16:13:57 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May  4 16:17:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79657d66

dev-python/indexed_gzip: Set DISTUTILS_EXT=1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/indexed_gzip-1.7.1.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.7.1.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.7.1.ebuild
index 98bdec35563f..44aac738ce10 100644
--- a/dev-python/indexed_gzip/indexed_gzip-1.7.1.ebuild
+++ b/dev-python/indexed_gzip/indexed_gzip-1.7.1.ebuild
@@ -3,6 +3,7 @@
 
 EAPI=8
 
+DISTUTILS_EXT=1
 DISTUTILS_USE_PEP517=setuptools
 PYTHON_COMPAT=( python3_{9..11} )
 


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2023-04-08  6:08 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2023-04-08  6:08 UTC (permalink / raw
  To: gentoo-commits

commit:     4e4cb8463067bb1b513d3b2fc756bacaf377d4b9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  8 06:01:55 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr  8 06:07:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e4cb846

dev-python/indexed_gzip: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 -
 dev-python/indexed_gzip/indexed_gzip-1.7.0.ebuild | 58 -----------------------
 2 files changed, 59 deletions(-)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 2cd0d1ba5921..b8edd923ebfd 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1,2 +1 @@
-DIST indexed_gzip-1.7.0.tar.gz 103849 BLAKE2B b33ef1f19e47c2dc12fd6e6fcc972badf4faaecaa5571aa44c765a6fafbec8e32fe2c4254d4e62722b6e744cfa27470ce517d08025b0492e8c032663b094344e SHA512 80f82699c6b64248f0609fb34e54e3838e642040820381cc64feb70b46721b69207686f9cccd55ebfb10dfcdee5fb5c1bf6404d1cfec07eb5a97767635c5dc4e
 DIST indexed_gzip-1.7.1.tar.gz 74457 BLAKE2B b22d2120adac59e64f5bcf38c831bb54ce5d6c3dd1e959eece9a454908d9ce2aa5dc10557bd63823616bedfe9d0c039a3f1c0512ef1d22a54437353c57e15158 SHA512 fa27e476f115eca1d1d3892c3480de97cb407bd489737bebc44eb28e92be91e14312cde33a67af145b44c7d93ccc706498c2cbfe6cbff5b9b091dd083cde0f7e

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.7.0.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.7.0.ebuild
deleted file mode 100644
index 859539ace845..000000000000
--- a/dev-python/indexed_gzip/indexed_gzip-1.7.0.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="
-	https://pypi.org/project/indexed-gzip/
-	https://github.com/pauldmccarthy/indexed_gzip/
-"
-SRC_URI="
-	https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz
-		-> ${P}.tar.gz
-"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	sys-libs/zlib:=
-"
-DEPEND="
-	${RDEPEND}
-"
-BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/numpy[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	# strip custom "clean" command that doesn't support "-a"
-	# https://bugs.gentoo.org/838955
-	# TODO: this can be removed once distutils-r1 stops using clean
-	sed -e '/cmdclass/d' -i setup.py || die
-	distutils-r1_src_prepare
-}
-
-src_compile() {
-	if use test; then
-		export INDEXED_GZIP_TESTING=1
-	fi
-	distutils-r1_src_compile
-}
-
-python_test() {
-	cd "${BUILD_DIR}/install$(python_get_sitedir)/indexed_gzip/tests" || die
-	epytest
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2023-04-01  6:13 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2023-04-01  6:13 UTC (permalink / raw
  To: gentoo-commits

commit:     c5dd98a1a5cb3a850740d426e6514e187840c5ec
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  1 04:57:51 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr  1 06:13:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5dd98a1

dev-python/indexed_gzip: Bump to 1.7.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 +
 dev-python/indexed_gzip/indexed_gzip-1.7.1.ebuild | 54 +++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 865b6bdb499f..2cd0d1ba5921 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1 +1,2 @@
 DIST indexed_gzip-1.7.0.tar.gz 103849 BLAKE2B b33ef1f19e47c2dc12fd6e6fcc972badf4faaecaa5571aa44c765a6fafbec8e32fe2c4254d4e62722b6e744cfa27470ce517d08025b0492e8c032663b094344e SHA512 80f82699c6b64248f0609fb34e54e3838e642040820381cc64feb70b46721b69207686f9cccd55ebfb10dfcdee5fb5c1bf6404d1cfec07eb5a97767635c5dc4e
+DIST indexed_gzip-1.7.1.tar.gz 74457 BLAKE2B b22d2120adac59e64f5bcf38c831bb54ce5d6c3dd1e959eece9a454908d9ce2aa5dc10557bd63823616bedfe9d0c039a3f1c0512ef1d22a54437353c57e15158 SHA512 fa27e476f115eca1d1d3892c3480de97cb407bd489737bebc44eb28e92be91e14312cde33a67af145b44c7d93ccc706498c2cbfe6cbff5b9b091dd083cde0f7e

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.7.1.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.7.1.ebuild
new file mode 100644
index 000000000000..98bdec35563f
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-1.7.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="
+	https://pypi.org/project/indexed-gzip/
+	https://github.com/pauldmccarthy/indexed_gzip/
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	sys-libs/zlib:=
+"
+DEPEND="
+	${RDEPEND}
+"
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# strip custom "clean" command that doesn't support "-a"
+	# https://bugs.gentoo.org/838955
+	# TODO: this can be removed once distutils-r1 stops using clean
+	sed -e '/cmdclass/d' -i setup.py || die
+	distutils-r1_src_prepare
+}
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	cd "${BUILD_DIR}/install$(python_get_sitedir)/indexed_gzip/tests" || die
+	epytest
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2022-09-15 20:34 Arthur Zamarin
  0 siblings, 0 replies; 23+ messages in thread
From: Arthur Zamarin @ 2022-09-15 20:34 UTC (permalink / raw
  To: gentoo-commits

commit:     38937972dd8ccf257a9cb9e426e17a5c0090b7be
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 15 20:34:41 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Sep 15 20:34:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38937972

dev-python/indexed_gzip: add 1.7.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/indexed_gzip/indexed_gzip-1.7.0.ebuild | 58 +++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.7.0.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.7.0.ebuild
new file mode 100644
index 000000000000..11a55ef5459b
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-1.7.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="
+	https://pypi.org/project/indexed-gzip/
+	https://github.com/pauldmccarthy/indexed_gzip/
+"
+SRC_URI="
+	https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz
+		-> ${P}.tar.gz
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	sys-libs/zlib:=
+"
+DEPEND="
+	${RDEPEND}
+"
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# strip custom "clean" command that doesn't support "-a"
+	# https://bugs.gentoo.org/838955
+	# TODO: this can be removed once distutils-r1 stops using clean
+	sed -e '/cmdclass/d' -i setup.py || die
+	distutils-r1_src_prepare
+}
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	cd "${BUILD_DIR}/install$(python_get_sitedir)/indexed_gzip/tests" || die
+	epytest
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2022-06-12 18:28 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2022-06-12 18:28 UTC (permalink / raw
  To: gentoo-commits

commit:     dddbf71de5ff2dc81630a8025e64afb6eba9261f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 12 18:07:50 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 12 18:27:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dddbf71d

dev-python/indexed_gzip: Enable py3.11

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
index dff40b18267e..245f33e3925e 100644
--- a/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2022-05-16 13:20 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2022-05-16 13:20 UTC (permalink / raw
  To: gentoo-commits

commit:     1796d343aee1afcda3c6d5cfdfbfc8d9dc471c45
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 16 13:20:19 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 16 13:20:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1796d343

dev-python/indexed_gzip: Fix remote-id

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/metadata.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/indexed_gzip/metadata.xml b/dev-python/indexed_gzip/metadata.xml
index a452ad470e8d..bc43b287423a 100644
--- a/dev-python/indexed_gzip/metadata.xml
+++ b/dev-python/indexed_gzip/metadata.xml
@@ -21,7 +21,7 @@
 		compression standard), but will work with any GZIP file.
 	</longdescription>
 	<upstream>
-		<remote-id type="github">pauldmccarthy/indexed-gzip</remote-id>
+		<remote-id type="github">pauldmccarthy/indexed_gzip</remote-id>
 		<remote-id type="pypi">indexed-gzip</remote-id>
 	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2022-05-16 13:20 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2022-05-16 13:20 UTC (permalink / raw
  To: gentoo-commits

commit:     e770ccea2aa9aa22056f45ae23dd2e04c49a1af7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 16 13:18:47 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 16 13:18:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e770ccea

dev-python/indexed_gzip: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 -
 dev-python/indexed_gzip/indexed_gzip-1.6.4.ebuild | 44 -----------------------
 2 files changed, 45 deletions(-)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index a9c5f0491a55..95ac4d689559 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1,2 +1 @@
 DIST indexed_gzip-1.6.13.tar.gz 102730 BLAKE2B 8ab5490c3c830121ce3104c624fe36cb0064f6265b5e5f9ebd6efb0402c33e206b4d97c35803fa10fdbc25a7ccac61f19b2fd9bfb205e07acee40737d6404659 SHA512 de8a606f712a0bddf618cedac12d2b5613e14aaaacc93d1930352101bdeaca8bd5126dd67df36d691f31bc27d553a61901934bbb0b2514e4360c6cd49e395c41
-DIST indexed_gzip-1.6.4.tar.gz 101683 BLAKE2B 01d34b33f8d6a623f92bd3f6751303b32f3834e9fb7849b13b82080eeaa91bb29fa38e45287256b6946ecafae7fd000f0cd12f004662eb2e5ad9f31be7378505 SHA512 b7b804c99c560f939a165fdd6d4b881fab2dd2664cecf88f9d9dba46c389efa4839dfbffd19a1a30b801e2fde43580279ea2adab5fd0bbb379ad77c568f8d6b9

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.4.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.4.ebuild
deleted file mode 100644
index f2cf3667d4c1..000000000000
--- a/dev-python/indexed_gzip/indexed_gzip-1.6.4.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-inherit distutils-r1
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
-SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	sys-libs/zlib:="
-DEPEND=${RDEPEND}
-BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/numpy[${PYTHON_USEDEP}]
-	)
-	"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
-	distutils-r1_src_prepare
-}
-
-src_compile() {
-	if use test; then
-		export INDEXED_GZIP_TESTING=1
-	fi
-	distutils-r1_src_compile
-}
-
-python_test() {
-	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
-	epytest
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2022-04-17 16:54 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2022-04-17 16:54 UTC (permalink / raw
  To: gentoo-commits

commit:     552dbafd02e83465ee91c03306da41ec28618179
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 17 16:52:00 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 17 16:53:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=552dbafd

dev-python/indexed_gzip: Fix build failure w/ clean command

Remove the custom "clean" command that does not implement "-a" option
as used by the old distutils-r1 code path, in order to fix the build
failure.  This is only needed temporarily, as the new code path
no longer calls it.

Closes: https://bugs.gentoo.org/838955
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
index 71ce12536dee..dff40b18267e 100644
--- a/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
@@ -37,6 +37,14 @@ BDEPEND="
 
 distutils_enable_tests pytest
 
+src_prepare() {
+	# strip custom "clean" command that doesn't support "-a"
+	# https://bugs.gentoo.org/838955
+	# TODO: this can be removed once distutils-r1 stops using clean
+	sed -i -e '/cmdclass/d' setup.py || die
+	distutils-r1_src_prepare
+}
+
 src_compile() {
 	if use test; then
 		export INDEXED_GZIP_TESTING=1


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2022-04-17  8:39 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2022-04-17  8:39 UTC (permalink / raw
  To: gentoo-commits

commit:     cbda7ac4f0c9cb8bca81eebf34fb3a563a11efdc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 17 07:56:51 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 17 08:38:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbda7ac4

dev-python/indexed_gzip: Bump to 1.6.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                   |  1 +
 dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild | 50 ++++++++++++++++++++++
 dev-python/indexed_gzip/metadata.xml               |  2 +-
 3 files changed, 52 insertions(+), 1 deletion(-)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 336034b66ccb..a9c5f0491a55 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1 +1,2 @@
+DIST indexed_gzip-1.6.13.tar.gz 102730 BLAKE2B 8ab5490c3c830121ce3104c624fe36cb0064f6265b5e5f9ebd6efb0402c33e206b4d97c35803fa10fdbc25a7ccac61f19b2fd9bfb205e07acee40737d6404659 SHA512 de8a606f712a0bddf618cedac12d2b5613e14aaaacc93d1930352101bdeaca8bd5126dd67df36d691f31bc27d553a61901934bbb0b2514e4360c6cd49e395c41
 DIST indexed_gzip-1.6.4.tar.gz 101683 BLAKE2B 01d34b33f8d6a623f92bd3f6751303b32f3834e9fb7849b13b82080eeaa91bb29fa38e45287256b6946ecafae7fd000f0cd12f004662eb2e5ad9f31be7378505 SHA512 b7b804c99c560f939a165fdd6d4b881fab2dd2664cecf88f9d9dba46c389efa4839dfbffd19a1a30b801e2fde43580279ea2adab5fd0bbb379ad77c568f8d6b9

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
new file mode 100644
index 000000000000..71ce12536dee
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.13.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="
+	https://pypi.org/project/indexed-gzip/
+	https://github.com/pauldmccarthy/indexed_gzip/
+"
+SRC_URI="
+	https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz
+		-> ${P}.tar.gz
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	sys-libs/zlib:=
+"
+DEPEND="
+	${RDEPEND}
+"
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	cd "${BUILD_DIR}/install$(python_get_sitedir)/indexed_gzip/tests" || die
+	epytest
+}

diff --git a/dev-python/indexed_gzip/metadata.xml b/dev-python/indexed_gzip/metadata.xml
index bc43b287423a..a452ad470e8d 100644
--- a/dev-python/indexed_gzip/metadata.xml
+++ b/dev-python/indexed_gzip/metadata.xml
@@ -21,7 +21,7 @@
 		compression standard), but will work with any GZIP file.
 	</longdescription>
 	<upstream>
-		<remote-id type="github">pauldmccarthy/indexed_gzip</remote-id>
+		<remote-id type="github">pauldmccarthy/indexed-gzip</remote-id>
 		<remote-id type="pypi">indexed-gzip</remote-id>
 	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2021-11-14  8:46 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-11-14  8:46 UTC (permalink / raw
  To: gentoo-commits

commit:     a8c20fa7b65842e175180f4b438dce155f3376f6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 14 08:42:52 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 14 08:46:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8c20fa7

dev-python/indexed_gzip: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 -
 dev-python/indexed_gzip/indexed_gzip-1.6.3.ebuild | 44 -----------------------
 2 files changed, 45 deletions(-)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 10266f8dbc0a..336034b66ccb 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1,2 +1 @@
-DIST indexed_gzip-1.6.3.tar.gz 101073 BLAKE2B 685a8b1d8d69dce138ba6eab8af31d537e130674ba96f9383cc28b4440c472cbdde58f97bcda2d2145177342ade369bd88c44799ba07900ebd653c30678cc58e SHA512 567a54ca23fea63b2a8b386cace0e5bd52e6cf587c7507a555f727cb549b9ab32b1395e3b1ac94c1f09e680a62bb0c079b7bb4be724994813ad52db774b83e20
 DIST indexed_gzip-1.6.4.tar.gz 101683 BLAKE2B 01d34b33f8d6a623f92bd3f6751303b32f3834e9fb7849b13b82080eeaa91bb29fa38e45287256b6946ecafae7fd000f0cd12f004662eb2e5ad9f31be7378505 SHA512 b7b804c99c560f939a165fdd6d4b881fab2dd2664cecf88f9d9dba46c389efa4839dfbffd19a1a30b801e2fde43580279ea2adab5fd0bbb379ad77c568f8d6b9

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.3.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.3.ebuild
deleted file mode 100644
index f2cf3667d4c1..000000000000
--- a/dev-python/indexed_gzip/indexed_gzip-1.6.3.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-inherit distutils-r1
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
-SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	sys-libs/zlib:="
-DEPEND=${RDEPEND}
-BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/numpy[${PYTHON_USEDEP}]
-	)
-	"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
-	distutils-r1_src_prepare
-}
-
-src_compile() {
-	if use test; then
-		export INDEXED_GZIP_TESTING=1
-	fi
-	distutils-r1_src_compile
-}
-
-python_test() {
-	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
-	epytest
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2021-10-19  7:22 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-10-19  7:22 UTC (permalink / raw
  To: gentoo-commits

commit:     90548290e7d1817a32ea5abc5b50d8b3c92a2a5a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 19 05:55:53 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Oct 19 07:22:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90548290

dev-python/indexed_gzip: Bump to 1.6.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 +
 dev-python/indexed_gzip/indexed_gzip-1.6.4.ebuild | 44 +++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 7bef8fd7139..10266f8dbc0 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1 +1,2 @@
 DIST indexed_gzip-1.6.3.tar.gz 101073 BLAKE2B 685a8b1d8d69dce138ba6eab8af31d537e130674ba96f9383cc28b4440c472cbdde58f97bcda2d2145177342ade369bd88c44799ba07900ebd653c30678cc58e SHA512 567a54ca23fea63b2a8b386cace0e5bd52e6cf587c7507a555f727cb549b9ab32b1395e3b1ac94c1f09e680a62bb0c079b7bb4be724994813ad52db774b83e20
+DIST indexed_gzip-1.6.4.tar.gz 101683 BLAKE2B 01d34b33f8d6a623f92bd3f6751303b32f3834e9fb7849b13b82080eeaa91bb29fa38e45287256b6946ecafae7fd000f0cd12f004662eb2e5ad9f31be7378505 SHA512 b7b804c99c560f939a165fdd6d4b881fab2dd2664cecf88f9d9dba46c389efa4839dfbffd19a1a30b801e2fde43580279ea2adab5fd0bbb379ad77c568f8d6b9

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.4.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.4.ebuild
new file mode 100644
index 00000000000..f2cf3667d4c
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
+SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	sys-libs/zlib:="
+DEPEND=${RDEPEND}
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+	)
+	"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
+	distutils-r1_src_prepare
+}
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
+	epytest
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2021-10-17  8:58 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-10-17  8:58 UTC (permalink / raw
  To: gentoo-commits

commit:     c943e1ee4da88e1ceafa2deefb241c36783a25c1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 17 08:56:19 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Oct 17 08:58:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c943e1ee

dev-python/indexed_gzip: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                   |  4 --
 dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild | 39 ------------------
 dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild  | 47 ----------------------
 dev-python/indexed_gzip/indexed_gzip-1.6.1.ebuild  | 42 -------------------
 dev-python/indexed_gzip/indexed_gzip-1.6.2.ebuild  | 44 --------------------
 5 files changed, 176 deletions(-)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index c25e404582c..7bef8fd7139 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1,5 +1 @@
-DIST indexed_gzip-0.8.10.tar.gz 79133 BLAKE2B ebb5bc69d92b627b0546c8570ea533a7d6541cffbda6ddbf38d2712e5d7b13f5684a4d962b457cb0beaf8f6d9d6c5bd810c31af18396d7ce2a7d3f9ce0a039d6 SHA512 cd57a0442e95a4760d710227a5d9f69841bef851427c536e5cfde7c9f962c9d403e0b38341ba2e07c5cde668e0f26ff7848d154f6243a2cee1cf6c327a7f4e1e
-DIST indexed_gzip-1.6.0.tar.gz 99260 BLAKE2B 15fff478a275baf59f152040455502f57762889959c4d2989e44b626dad25d381ff73029107c4495b477397ff5dc0763d1934f23bcc85a6296a0eec85a36b421 SHA512 0e01da5e8c527202c1f18148bad2a8ebec9ca0bc1bc49ce4804c6a32397797525cc7bfdfc254139c3c1b037d3f65171c010453ff3fae6e6256304ddf486bc58d
-DIST indexed_gzip-1.6.1.tar.gz 99290 BLAKE2B bbaa0fe55c132fef4e392c4a154cc7f5cb19e25761af298d70a8c9f5d1019701f0f470b9bcff333b02b0ecfc13b823a5cd64c16cfd2d113955f7e59837dcbd7f SHA512 8b508ac7fc161b75ee7ed9cc0ce8828e0f195c3aa676114c54d5b2767b9f2e56b0c203e63f2036245ede9649138d197dffabd67f41b41232e6c66e2ee1336529
-DIST indexed_gzip-1.6.2.tar.gz 100520 BLAKE2B 028fa28330fcb9958338226b47d2b503cb9810c03d4dbba2abb9f352ff575b05f73d660a683b2ff4be96441acbbf67c01203eb749e2b81df0d35ad7d7aed94d3 SHA512 977567074df02bf95aa11b47326458d14d7a33b29e001b67e7a52b2ffc2a0c465e361ab1d6ed6ca45b451d5ae99f81ca29034c7af52a6c5168b3a81e8c348689
 DIST indexed_gzip-1.6.3.tar.gz 101073 BLAKE2B 685a8b1d8d69dce138ba6eab8af31d537e130674ba96f9383cc28b4440c472cbdde58f97bcda2d2145177342ade369bd88c44799ba07900ebd653c30678cc58e SHA512 567a54ca23fea63b2a8b386cace0e5bd52e6cf587c7507a555f727cb549b9ab32b1395e3b1ac94c1f09e680a62bb0c079b7bb4be724994813ad52db774b83e20

diff --git a/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild b/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild
deleted file mode 100644
index e8c9e2200f2..00000000000
--- a/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-
-inherit distutils-r1 virtualx
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
-SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/numpy[${PYTHON_USEDEP}]
-	)
-	"
-RDEPEND=""
-
-distutils_enable_tests pytest
-
-src_compile() {
-	if use test; then
-		export INDEXED_GZIP_TESTING=1
-	fi
-	distutils-r1_src_compile
-}
-
-python_test() {
-	cp conftest.py "${BUILD_DIR}" || die
-	cd "${BUILD_DIR}" || die
-	pytest -vv --nelems 500000 --niters 250 || die
-}

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild
deleted file mode 100644
index 6803e7e7dcc..00000000000
--- a/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-
-inherit distutils-r1 virtualx
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
-SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/numpy[${PYTHON_USEDEP}]
-	)
-	"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
-	distutils-r1_src_prepare
-}
-
-src_compile() {
-	if use test; then
-		export INDEXED_GZIP_TESTING=1
-	fi
-	distutils-r1_src_compile
-}
-
-python_test() {
-	local ignore=(
-		# requires nibabel
-		test_nibabel_integration.py
-	)
-
-	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
-	epytest ${ignore[@]/#/--ignore }
-}

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.1.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.1.ebuild
deleted file mode 100644
index 6481acb4f3b..00000000000
--- a/dev-python/indexed_gzip/indexed_gzip-1.6.1.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-
-inherit distutils-r1 virtualx
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
-SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/numpy[${PYTHON_USEDEP}]
-	)
-	"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
-	distutils-r1_src_prepare
-}
-
-src_compile() {
-	if use test; then
-		export INDEXED_GZIP_TESTING=1
-	fi
-	distutils-r1_src_compile
-}
-
-python_test() {
-	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
-	epytest
-}

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.2.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.2.ebuild
deleted file mode 100644
index f2cf3667d4c..00000000000
--- a/dev-python/indexed_gzip/indexed_gzip-1.6.2.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-inherit distutils-r1
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
-SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	sys-libs/zlib:="
-DEPEND=${RDEPEND}
-BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/numpy[${PYTHON_USEDEP}]
-	)
-	"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
-	distutils-r1_src_prepare
-}
-
-src_compile() {
-	if use test; then
-		export INDEXED_GZIP_TESTING=1
-	fi
-	distutils-r1_src_compile
-}
-
-python_test() {
-	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
-	epytest
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2021-09-14 21:35 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-09-14 21:35 UTC (permalink / raw
  To: gentoo-commits

commit:     9fcced24546ae7e65e6101d67b054f7170e24b7b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 14 20:01:34 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Sep 14 21:35:19 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9fcced24

dev-python/indexed_gzip: Bump to 1.6.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 +
 dev-python/indexed_gzip/indexed_gzip-1.6.3.ebuild | 44 +++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 3dcf77a9db9..c25e404582c 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -2,3 +2,4 @@ DIST indexed_gzip-0.8.10.tar.gz 79133 BLAKE2B ebb5bc69d92b627b0546c8570ea533a7d6
 DIST indexed_gzip-1.6.0.tar.gz 99260 BLAKE2B 15fff478a275baf59f152040455502f57762889959c4d2989e44b626dad25d381ff73029107c4495b477397ff5dc0763d1934f23bcc85a6296a0eec85a36b421 SHA512 0e01da5e8c527202c1f18148bad2a8ebec9ca0bc1bc49ce4804c6a32397797525cc7bfdfc254139c3c1b037d3f65171c010453ff3fae6e6256304ddf486bc58d
 DIST indexed_gzip-1.6.1.tar.gz 99290 BLAKE2B bbaa0fe55c132fef4e392c4a154cc7f5cb19e25761af298d70a8c9f5d1019701f0f470b9bcff333b02b0ecfc13b823a5cd64c16cfd2d113955f7e59837dcbd7f SHA512 8b508ac7fc161b75ee7ed9cc0ce8828e0f195c3aa676114c54d5b2767b9f2e56b0c203e63f2036245ede9649138d197dffabd67f41b41232e6c66e2ee1336529
 DIST indexed_gzip-1.6.2.tar.gz 100520 BLAKE2B 028fa28330fcb9958338226b47d2b503cb9810c03d4dbba2abb9f352ff575b05f73d660a683b2ff4be96441acbbf67c01203eb749e2b81df0d35ad7d7aed94d3 SHA512 977567074df02bf95aa11b47326458d14d7a33b29e001b67e7a52b2ffc2a0c465e361ab1d6ed6ca45b451d5ae99f81ca29034c7af52a6c5168b3a81e8c348689
+DIST indexed_gzip-1.6.3.tar.gz 101073 BLAKE2B 685a8b1d8d69dce138ba6eab8af31d537e130674ba96f9383cc28b4440c472cbdde58f97bcda2d2145177342ade369bd88c44799ba07900ebd653c30678cc58e SHA512 567a54ca23fea63b2a8b386cace0e5bd52e6cf587c7507a555f727cb549b9ab32b1395e3b1ac94c1f09e680a62bb0c079b7bb4be724994813ad52db774b83e20

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.3.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.3.ebuild
new file mode 100644
index 00000000000..f2cf3667d4c
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
+SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	sys-libs/zlib:="
+DEPEND=${RDEPEND}
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+	)
+	"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
+	distutils-r1_src_prepare
+}
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
+	epytest
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2021-09-04  7:47 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-09-04  7:47 UTC (permalink / raw
  To: gentoo-commits

commit:     58c261dfc77d7552a0b646ec66f0fe6d0f549275
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  4 06:13:50 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep  4 07:47:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58c261df

dev-python/indexed_gzip: Bump to 1.6.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 +
 dev-python/indexed_gzip/indexed_gzip-1.6.2.ebuild | 44 +++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 5d313292d16..3dcf77a9db9 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1,3 +1,4 @@
 DIST indexed_gzip-0.8.10.tar.gz 79133 BLAKE2B ebb5bc69d92b627b0546c8570ea533a7d6541cffbda6ddbf38d2712e5d7b13f5684a4d962b457cb0beaf8f6d9d6c5bd810c31af18396d7ce2a7d3f9ce0a039d6 SHA512 cd57a0442e95a4760d710227a5d9f69841bef851427c536e5cfde7c9f962c9d403e0b38341ba2e07c5cde668e0f26ff7848d154f6243a2cee1cf6c327a7f4e1e
 DIST indexed_gzip-1.6.0.tar.gz 99260 BLAKE2B 15fff478a275baf59f152040455502f57762889959c4d2989e44b626dad25d381ff73029107c4495b477397ff5dc0763d1934f23bcc85a6296a0eec85a36b421 SHA512 0e01da5e8c527202c1f18148bad2a8ebec9ca0bc1bc49ce4804c6a32397797525cc7bfdfc254139c3c1b037d3f65171c010453ff3fae6e6256304ddf486bc58d
 DIST indexed_gzip-1.6.1.tar.gz 99290 BLAKE2B bbaa0fe55c132fef4e392c4a154cc7f5cb19e25761af298d70a8c9f5d1019701f0f470b9bcff333b02b0ecfc13b823a5cd64c16cfd2d113955f7e59837dcbd7f SHA512 8b508ac7fc161b75ee7ed9cc0ce8828e0f195c3aa676114c54d5b2767b9f2e56b0c203e63f2036245ede9649138d197dffabd67f41b41232e6c66e2ee1336529
+DIST indexed_gzip-1.6.2.tar.gz 100520 BLAKE2B 028fa28330fcb9958338226b47d2b503cb9810c03d4dbba2abb9f352ff575b05f73d660a683b2ff4be96441acbbf67c01203eb749e2b81df0d35ad7d7aed94d3 SHA512 977567074df02bf95aa11b47326458d14d7a33b29e001b67e7a52b2ffc2a0c465e361ab1d6ed6ca45b451d5ae99f81ca29034c7af52a6c5168b3a81e8c348689

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.2.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.2.ebuild
new file mode 100644
index 00000000000..f2cf3667d4c
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
+SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	sys-libs/zlib:="
+DEPEND=${RDEPEND}
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+	)
+	"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
+	distutils-r1_src_prepare
+}
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
+	epytest
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2021-05-26  8:19 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-05-26  8:19 UTC (permalink / raw
  To: gentoo-commits

commit:     1fb9b675fe81a73bc9ff96d65abbfe02629aaf3d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 26 06:13:52 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 26 08:19:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fb9b675

dev-python/indexed_gzip: Bump to 1.6.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 +
 dev-python/indexed_gzip/indexed_gzip-1.6.1.ebuild | 42 +++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index f3c2c97d75e..5d313292d16 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1,2 +1,3 @@
 DIST indexed_gzip-0.8.10.tar.gz 79133 BLAKE2B ebb5bc69d92b627b0546c8570ea533a7d6541cffbda6ddbf38d2712e5d7b13f5684a4d962b457cb0beaf8f6d9d6c5bd810c31af18396d7ce2a7d3f9ce0a039d6 SHA512 cd57a0442e95a4760d710227a5d9f69841bef851427c536e5cfde7c9f962c9d403e0b38341ba2e07c5cde668e0f26ff7848d154f6243a2cee1cf6c327a7f4e1e
 DIST indexed_gzip-1.6.0.tar.gz 99260 BLAKE2B 15fff478a275baf59f152040455502f57762889959c4d2989e44b626dad25d381ff73029107c4495b477397ff5dc0763d1934f23bcc85a6296a0eec85a36b421 SHA512 0e01da5e8c527202c1f18148bad2a8ebec9ca0bc1bc49ce4804c6a32397797525cc7bfdfc254139c3c1b037d3f65171c010453ff3fae6e6256304ddf486bc58d
+DIST indexed_gzip-1.6.1.tar.gz 99290 BLAKE2B bbaa0fe55c132fef4e392c4a154cc7f5cb19e25761af298d70a8c9f5d1019701f0f470b9bcff333b02b0ecfc13b823a5cd64c16cfd2d113955f7e59837dcbd7f SHA512 8b508ac7fc161b75ee7ed9cc0ce8828e0f195c3aa676114c54d5b2767b9f2e56b0c203e63f2036245ede9649138d197dffabd67f41b41232e6c66e2ee1336529

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.1.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.1.ebuild
new file mode 100644
index 00000000000..6481acb4f3b
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
+SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+	)
+	"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
+	distutils-r1_src_prepare
+}
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
+	epytest
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2021-05-24 10:22 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-05-24 10:22 UTC (permalink / raw
  To: gentoo-commits

commit:     6774c7d797755c709a49c78c6e42516558eb3d56
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 24 06:46:00 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 24 10:21:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6774c7d7

dev-python/indexed_gzip: Add python@ as co-maint.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild | 4 ++--
 dev-python/indexed_gzip/metadata.xml              | 4 ++++
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild
index 074e482ab13..6803e7e7dcc 100644
--- a/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild
@@ -39,9 +39,9 @@ src_compile() {
 python_test() {
 	local ignore=(
 		# requires nibabel
-		indexed_gzip/tests/test_nibabel_integration.py
+		test_nibabel_integration.py
 	)
 
-	cd "${BUILD_DIR}"/lib || die
+	cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
 	epytest ${ignore[@]/#/--ignore }
 }

diff --git a/dev-python/indexed_gzip/metadata.xml b/dev-python/indexed_gzip/metadata.xml
index cacf75bd775..b30eebebe8b 100644
--- a/dev-python/indexed_gzip/metadata.xml
+++ b/dev-python/indexed_gzip/metadata.xml
@@ -9,6 +9,10 @@
 		<email>proxy-maint@gentoo.org</email>
 		<name>Proxy Maintainers</name>
 	</maintainer>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+		<name>Python</name>
+	</maintainer>
 	<longdescription lang="en">
 		The indexed_gzip project is a Python extension which aims to provide a
 		drop-in replacement for the built-in Python gzip.GzipFile class,


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2021-05-24 10:22 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-05-24 10:22 UTC (permalink / raw
  To: gentoo-commits

commit:     55156dd99029036aa5bf0f4e3137da4a05bbbc74
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 24 06:45:45 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 24 10:21:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55156dd9

dev-python/indexed_gzip: Bump to 1.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 +
 dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild | 47 +++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 1d1b3858635..f3c2c97d75e 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1 +1,2 @@
 DIST indexed_gzip-0.8.10.tar.gz 79133 BLAKE2B ebb5bc69d92b627b0546c8570ea533a7d6541cffbda6ddbf38d2712e5d7b13f5684a4d962b457cb0beaf8f6d9d6c5bd810c31af18396d7ce2a7d3f9ce0a039d6 SHA512 cd57a0442e95a4760d710227a5d9f69841bef851427c536e5cfde7c9f962c9d403e0b38341ba2e07c5cde668e0f26ff7848d154f6243a2cee1cf6c327a7f4e1e
+DIST indexed_gzip-1.6.0.tar.gz 99260 BLAKE2B 15fff478a275baf59f152040455502f57762889959c4d2989e44b626dad25d381ff73029107c4495b477397ff5dc0763d1934f23bcc85a6296a0eec85a36b421 SHA512 0e01da5e8c527202c1f18148bad2a8ebec9ca0bc1bc49ce4804c6a32397797525cc7bfdfc254139c3c1b037d3f65171c010453ff3fae6e6256304ddf486bc58d

diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild
new file mode 100644
index 00000000000..074e482ab13
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
+SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+	)
+	"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
+	distutils-r1_src_prepare
+}
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	local ignore=(
+		# requires nibabel
+		indexed_gzip/tests/test_nibabel_integration.py
+	)
+
+	cd "${BUILD_DIR}"/lib || die
+	epytest ${ignore[@]/#/--ignore }
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2020-11-17 17:43 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2020-11-17 17:43 UTC (permalink / raw
  To: gentoo-commits

commit:     c2a9d394dbd7f7739388ee8aa14db24de4f76357
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 16:58:26 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 17:43:33 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2a9d394

dev-python/indexed_gzip: Port up to py3.9

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild b/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild
index e1805440987..5d5f8c2e5cf 100644
--- a/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild
+++ b/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6..9} )
 
 inherit distutils-r1 virtualx
 
@@ -14,18 +14,17 @@ SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz ->
 LICENSE="ZLIB"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
 
 DEPEND="
 	dev-python/cython[${PYTHON_USEDEP}]
 	test? (
 		dev-python/numpy[${PYTHON_USEDEP}]
-		dev-python/pytest[${PYTHON_USEDEP}]
 	)
 	"
 RDEPEND=""
 
+distutils_enable_tests pytest
+
 src_compile() {
 	if use test; then
 		export INDEXED_GZIP_TESTING=1


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2020-03-27 15:37 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2020-03-27 15:37 UTC (permalink / raw
  To: gentoo-commits

commit:     26d3345a5e6ead020fb769d13090afbf1618addc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 27 15:30:17 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 27 15:30:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26d3345a

dev-python/indexed_gzip: Remove redundant versions

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                  |  1 -
 dev-python/indexed_gzip/indexed_gzip-0.8.7.ebuild | 40 -----------------------
 2 files changed, 41 deletions(-)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 124e83f4757..1d1b3858635 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1,2 +1 @@
 DIST indexed_gzip-0.8.10.tar.gz 79133 BLAKE2B ebb5bc69d92b627b0546c8570ea533a7d6541cffbda6ddbf38d2712e5d7b13f5684a4d962b457cb0beaf8f6d9d6c5bd810c31af18396d7ce2a7d3f9ce0a039d6 SHA512 cd57a0442e95a4760d710227a5d9f69841bef851427c536e5cfde7c9f962c9d403e0b38341ba2e07c5cde668e0f26ff7848d154f6243a2cee1cf6c327a7f4e1e
-DIST indexed_gzip-0.8.7.tar.gz 77640 BLAKE2B ff35693204a41df439b835f232b4e0ad5ceab19532a7f1f4a4aba5cfd810f447ea56c0f6cc0c5600f32317c5a4f4283a3dd5bc791dc9aec5742303728e76ecc2 SHA512 90872898b69269f42d28f61f7840879c1942060da923e8d5480c4f99feb160c1b03412378b1dda3cdf94f64434d81e4cdc524e19c268797f11444362149d0e18

diff --git a/dev-python/indexed_gzip/indexed_gzip-0.8.7.ebuild b/dev-python/indexed_gzip/indexed_gzip-0.8.7.ebuild
deleted file mode 100644
index e1805440987..00000000000
--- a/dev-python/indexed_gzip/indexed_gzip-0.8.7.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7} )
-
-inherit distutils-r1 virtualx
-
-DESCRIPTION="Fast random access of gzip files in Python"
-HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
-SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-DEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/numpy[${PYTHON_USEDEP}]
-		dev-python/pytest[${PYTHON_USEDEP}]
-	)
-	"
-RDEPEND=""
-
-src_compile() {
-	if use test; then
-		export INDEXED_GZIP_TESTING=1
-	fi
-	distutils-r1_src_compile
-}
-
-python_test() {
-	cp conftest.py "${BUILD_DIR}" || die
-	cd "${BUILD_DIR}" || die
-	pytest -vv --nelems 500000 --niters 250 || die
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2020-02-19 13:32 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2020-02-19 13:32 UTC (permalink / raw
  To: gentoo-commits

commit:     94e3776f1852c0fbb631c5e32693416e808bdd35
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 19 13:10:38 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 19 13:32:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94e3776f

dev-python/indexed_gzip: fix typo in metadata.xml

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/indexed_gzip/metadata.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/indexed_gzip/metadata.xml b/dev-python/indexed_gzip/metadata.xml
index 11c36e8de92..d4003909bf2 100644
--- a/dev-python/indexed_gzip/metadata.xml
+++ b/dev-python/indexed_gzip/metadata.xml
@@ -18,6 +18,6 @@
 	</longdescription>
 	<upstream>
 		<remote-id type="github">pauldmccarthy/indexed_gzip</remote-id>
-		<remote-id type="pypi">indexed-gzip"</remote-id>
+		<remote-id type="pypi">indexed-gzip</remote-id>
 	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2020-02-19 13:32 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2020-02-19 13:32 UTC (permalink / raw
  To: gentoo-commits

commit:     e40a946228b65e03dc41d5aa6dfb7fbcdab5b634
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Wed Jan 15 04:18:32 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 19 13:32:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e40a9462

dev-python/indexed_gzip: version bump 0.8.10, bug #696652

Package-Manager: Portage-2.3.83, Repoman-2.3.20
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
Closes: https://bugs.gentoo.org/696652
Closes: https://github.com/gentoo/gentoo/pull/14339
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                   |  1 +
 dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 72b2a3f1cb2..124e83f4757 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1 +1,2 @@
+DIST indexed_gzip-0.8.10.tar.gz 79133 BLAKE2B ebb5bc69d92b627b0546c8570ea533a7d6541cffbda6ddbf38d2712e5d7b13f5684a4d962b457cb0beaf8f6d9d6c5bd810c31af18396d7ce2a7d3f9ce0a039d6 SHA512 cd57a0442e95a4760d710227a5d9f69841bef851427c536e5cfde7c9f962c9d403e0b38341ba2e07c5cde668e0f26ff7848d154f6243a2cee1cf6c327a7f4e1e
 DIST indexed_gzip-0.8.7.tar.gz 77640 BLAKE2B ff35693204a41df439b835f232b4e0ad5ceab19532a7f1f4a4aba5cfd810f447ea56c0f6cc0c5600f32317c5a4f4283a3dd5bc791dc9aec5742303728e76ecc2 SHA512 90872898b69269f42d28f61f7840879c1942060da923e8d5480c4f99feb160c1b03412378b1dda3cdf94f64434d81e4cdc524e19c268797f11444362149d0e18

diff --git a/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild b/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild
new file mode 100644
index 00000000000..e1805440987
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
+SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)
+	"
+RDEPEND=""
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	cp conftest.py "${BUILD_DIR}" || die
+	cd "${BUILD_DIR}" || die
+	pytest -vv --nelems 500000 --niters 250 || die
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/
@ 2018-10-13 13:34 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2018-10-13 13:34 UTC (permalink / raw
  To: gentoo-commits

commit:     ceda8192bf6732a252ef613c538f623d1cc7ffe0
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Fri Oct  5 14:58:51 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct 13 13:34:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ceda8192

dev-python/indexed_gzip: new package

Package-Manager: Portage-2.3.50, Repoman-2.3.11
Signed-off-by: Horea Christian <horea.christ <AT> gmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/10077

 dev-python/indexed_gzip/Manifest                  |  1 +
 dev-python/indexed_gzip/indexed_gzip-0.8.7.ebuild | 40 +++++++++++++++++++++++
 dev-python/indexed_gzip/metadata.xml              | 23 +++++++++++++
 3 files changed, 64 insertions(+)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
new file mode 100644
index 00000000000..72b2a3f1cb2
--- /dev/null
+++ b/dev-python/indexed_gzip/Manifest
@@ -0,0 +1 @@
+DIST indexed_gzip-0.8.7.tar.gz 77640 BLAKE2B ff35693204a41df439b835f232b4e0ad5ceab19532a7f1f4a4aba5cfd810f447ea56c0f6cc0c5600f32317c5a4f4283a3dd5bc791dc9aec5742303728e76ecc2 SHA512 90872898b69269f42d28f61f7840879c1942060da923e8d5480c4f99feb160c1b03412378b1dda3cdf94f64434d81e4cdc524e19c268797f11444362149d0e18

diff --git a/dev-python/indexed_gzip/indexed_gzip-0.8.7.ebuild b/dev-python/indexed_gzip/indexed_gzip-0.8.7.ebuild
new file mode 100644
index 00000000000..3533fde36c9
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-0.8.7.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
+SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)
+	"
+RDEPEND=""
+
+src_compile() {
+	if use test; then
+		export INDEXED_GZIP_TESTING=1
+	fi
+	distutils-r1_src_compile
+}
+
+python_test() {
+	cp conftest.py "${BUILD_DIR}" || die
+	cd "${BUILD_DIR}" || die
+	pytest -vv --nelems 500000 --niters 250 || die
+}

diff --git a/dev-python/indexed_gzip/metadata.xml b/dev-python/indexed_gzip/metadata.xml
new file mode 100644
index 00000000000..11c36e8de92
--- /dev/null
+++ b/dev-python/indexed_gzip/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>horea.christ@gmail.com</email>
+		<name>Horea Christian</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription lang="en">
+		The indexed_gzip project is a Python extension which aims to provide a
+		drop-in replacement for the built-in Python gzip.GzipFile class,
+		the IndexedGzipFile. This package was written to allow fast random
+		access of compressed NIFTI image files (for which GZIP is the de-facto
+		compression standard), but will work with any GZIP file.
+	</longdescription>
+	<upstream>
+		<remote-id type="github">pauldmccarthy/indexed_gzip</remote-id>
+		<remote-id type="pypi">indexed-gzip"</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 23+ messages in thread

end of thread, other threads:[~2023-05-04 16:17 UTC | newest]

Thread overview: 23+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-11-14  4:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/indexed_gzip/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2023-05-04 16:17 Michał Górny
2023-04-08  6:08 Michał Górny
2023-04-01  6:13 Michał Górny
2022-09-15 20:34 Arthur Zamarin
2022-06-12 18:28 Michał Górny
2022-05-16 13:20 Michał Górny
2022-05-16 13:20 Michał Górny
2022-04-17 16:54 Michał Górny
2022-04-17  8:39 Michał Górny
2021-11-14  8:46 Michał Górny
2021-10-19  7:22 Michał Górny
2021-10-17  8:58 Michał Górny
2021-09-14 21:35 Michał Górny
2021-09-04  7:47 Michał Górny
2021-05-26  8:19 Michał Górny
2021-05-24 10:22 Michał Górny
2021-05-24 10:22 Michał Górny
2020-11-17 17:43 Michał Górny
2020-03-27 15:37 Michał Górny
2020-02-19 13:32 Joonas Niilola
2020-02-19 13:32 Joonas Niilola
2018-10-13 13:34 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox